<?php

final class ExtensionStoreExtensionKey
  extends Phobject {

  public static function parseFullKey(string $extension_key) {
    $parts = explode('.', $extension_key, 3);
    if (count($parts) != 2) {
      phlog('Invalid extension key');
      return null;
    }
    return array(
      'publisher' => $parts[0],
      'extension' => $parts[1],
    );
  }

}
